package com.changfa.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 角色菜单表
 * </p>
 *
 * @author wwz
 * @since 2022-06-24
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("t_role_menu")
@ApiModel(value="TRoleMenu对象", description="角色菜单表")
public class TRoleMenu extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "角色主键")
    @TableField("role_id")
    private Integer roleId;

    @ApiModelProperty(value = "菜单主键")
    @TableField("menu_id")
    private Integer menuId;

    @TableLogic(delval = "1",value = "0")
    // @ExcelProperty(value = "删除状态",converter = LogicDelConvert.class)
    private Integer logicDel;


}
