package com.changfa.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.changfa.entity.TRole;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author wwz
 * @since 2022-06-24
 */
public interface TRoleMapper extends BaseMapper<TRole> {

    TRole selectRoleByUserId(Integer userId);

    List<Map<String,Object>> selectRoleList(@Param("ew") Wrapper wrapper, Page page);
}
