package com.changfa.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.changfa.dto.MenuDto;
import com.changfa.entity.TMenu;
import com.changfa.mapper.TMenuMapper;
import com.changfa.service.ITMenuService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 菜单表 服务实现类
 * </p>
 *
 * @author wwz
 * @since 2022-06-24
 */
@Service
public class TMenuServiceImpl extends ServiceImpl<TMenuMapper, TMenu> implements ITMenuService {

    @Override
    public List<MenuDto> selectMenuListByRoleId(Integer roleId) {
        return this.baseMapper.selectMenuListByRoleId(roleId);
    }
}
