package com.changfa.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author wwz
 * @since 2022-06-24
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("t_user")
@ApiModel(value="TUser对象", description="")
public class TUser extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "用户姓名")
    @TableField("user_name")
    @ExcelProperty(value = "用户姓名",index = 0)
    private String userName;

    @ApiModelProperty(value = "登录账号")
    @TableField("account")
    @ExcelProperty(value = "登录账号",index = 1)
    private String account;

    @ApiModelProperty(value = "密码")
    @TableField("password")
    private String password;

    @ApiModelProperty(value = "盐")
    @TableField("salt")
    private String salt;

    @ApiModelProperty(value = "联系电话")
    @TableField("mobile_phone")
    private String mobilePhone;

    @ApiModelProperty(value = "【1：启动，2：禁用】")
    @TableField("status")
    private Integer status;

/*
    @TableLogic(delval = "1",value = "0")
    // @ExcelProperty(value = "删除状态",converter = LogicDelConvert.class)
    private Integer logicDel;
*/


}
