package com.changfa;

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.context.annotation.ComponentScan;

/**
 * @author wwz
 * @version 1.0.0
 * @title GatewayApplication
 * @description 路由启动服务
 * @create 2023/1/3
 */
@SpringBootApplication
@EnableDiscoveryClient
@ComponentScan("com.changfa")
@Slf4j
public class GatewayApplication {

    public static void main(String[] args){
        SpringApplication.run(GatewayApplication.class);
        log.info("===========路由服务启动成功=============");
    }
}
