package com.changfa;

import com.changfa.config.shiro.ShiroConfig;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.context.annotation.Import;

/**
 * @author wwz
 * @version 1.0.0
 * @title SystemApplication
 * @description <TODO description class purpose>
 * @create 2023/2/2 15:55
 */
@SpringBootApplication(scanBasePackages = "com.changfa")
@EnableDiscoveryClient
@Slf4j
@Import(ShiroConfig.class)
public class SystemApplication {

    public static void main(String[] args){
        log.info("==============系统模块服务开始启动==================");
        SpringApplication.run(SystemApplication.class);
        log.info("==============系统模块服务启动成功==================");
    }
}
