/**
 * Date: 2019/11/13
 * Author: Zhengja
 */
package com.changfa.constants;

public final class RedisConstants {

    public static final String _PREFIX = "sys:";
    public static final String LOG_PREFIX = "log:";

    //缓存组
    public static final class EntityCacheKey {
        public static final String DICT = _PREFIX + "dict:";
        public static final String TIME = _PREFIX + "time:";
        public static final String DICT_NO = _PREFIX + "dict";
        public static final String MANAGE = _PREFIX + "manage";
        public static final String OPINION = _PREFIX + "opinion";
        public static final String POINT = _PREFIX + "point";
        public static final String REPORTBIZ = _PREFIX + "reportbiz";
        public static final String REPORTDATA = _PREFIX + "reportdata";
        public static final String RESOURCE = _PREFIX + "resource";
        public static final String TASK = _PREFIX + "task";
        public final static String ZBB_LIST = "zbb_list";
        public final static String MESSAGE = _PREFIX+"message";
        public final static String TOP_LEVEL = MESSAGE+":isopen";

        public final static String UNIQUE_KEY = "UNIQUE_KEY:INCR";
    }


    //缓存组
    public static final class UserCacheKey {

        public final static String USER_KEY = "user:";
    }

    //临时缓存 key
    public static final String TEMP_REGION_IMPORT_KEY = LOG_PREFIX+"temp:import";

}
